Metric Records Catalogue
GET
This endpoint lists all available record IDs that can be used to fetch data in Get Metric Records Data
ApiKeyAuthheader
Authorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
Format
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
The catalogue of metric records
application/json- response
data?array<>meta?curl -X GET 'https://dev.dixa.io/v1/analytics/records' \ -H 'Authorization: <API token>'{}
"data": []
{},
"id": "ratings",
"description": "Conversation Ratings",
"filters": [],
{},
"filterAttribute": "agent_id",
"description": "Used to filter by the agent_id"
{},
"filterAttribute": "queue_id",
"description": "Used to filter by the queue_id"
{},
"filterAttribute": "channel",
"description": "Used to filter by the channel"
{},
"filterAttribute": "initial_direction",
"description": "Used to filter by the initial_direction"
{},
"filterAttribute": "tag_id",
"description": "Used to filter by the tag_id"
{}
"filterAttribute": "contact_point",
"description": "Used to filter by the contact_point"
"relatedMetricIds": [],
"csat"
"fieldsMetadata": []
{},
"field": "conversation_id",
"description": "Conversation ID",
"nullable": false
{},
"field": "agent_id",
"description": "The agent assigned to the conversation",
"nullable": true
{}
"field": "queue_id",
"description": "The queue which the conversation was part of when the conversation was offered",
"nullable": true
{}
"id": "closed_conversations",
"description": "Closed conversation data",
"filters": [],
{},
"filterAttribute": "queue_id",
"description": "Used to filter by the queue_id"
{},
"filterAttribute": "channel",
"description": "Used to filter by the channel"
{},
"filterAttribute": "initial_direction",
"description": "Used to filter by the initial_direction"
{},
"filterAttribute": "tag_id",
"description": "Used to filter by the tag_id"
{}
"filterAttribute": "contact_point",
"description": "Used to filter by the contact_point"
"relatedMetricIds": [],
"closed_conversations"
"fieldsMetadata": []
{},
"field": "closed_at",
"description": "Timestamp of when the conversation was closed",
"nullable": false
{},
"field": "conversation_id",
"description": "Conversation ID",
"nullable": false
{},
"field": "agent_id",
"description": "The agent closing the conversation",
"nullable": true
{},
"field": "queue_id",
"description": "The queue which the conversation was part of when the conversation was closed",
"nullable": true
{}
"field": "closed_by",
"description": "User closing the conversation (Agent, Enduser or Unknown)",
"nullable": false